Wallet
How to use Wallet to submit a payin in Hong Kong.
Last updated
{
"code": "10000",
"msg": "Success",
"trade_no": "2022010110293900083",
"out_trade_no": "202201010354006",
"web_url": "",
"trade_status": "PROCESSING",
"qr_code":"281666040097Q4yK2sxByzSOFn8ZCNMv31uA",
"wallet_url":"https://open-sea.alipayplus.com/api/open/v1/ac/cashier/self/codevalue/checkout.htm?codeValue="
}{
"code": "10000",
"msg": "Success",
"prepay_id": "dHlIWXVo****-8535494B",
"trade_no": "20240*****21",
"out_trade_no": "out_tr*****300",
"pay_url":"https://wx.tenpay.com/cgi-bin/mmpayweb-bin/checkmweb?prepay_id=wx21162254055845c9733cf104b69c3a0000&package=3820227936&redirect_url=https%3A%2F%2Fwww.metacene.io%2F", //Return when device.type=wap
"trade_status": "PROCESSING",
"wallet_url":"https://wx.tenpay.com/cgi-bin/mmpayweb-bin/checkmweb?prepay_id=wx21162254055845c9733cf104b69c3a0000&package=3820227936&redirect_url=https%3A%2F%2Fwww.metacene.io%2F", //Return when device.type=wap
"qr_code": "weixin://wxpay/bizpayurl?pr=eBZYNHaz3" //Return when device.type=web
}{
"code": "40002",
"msg": "Business Failed",
"sub_code": "duplicate-out_trade_no",
"sub_msg": "out_trade_no is duplicate"
}curl --location --request POST 'https://gateway-test.pagsmile.com/trade/pay' \
--header 'Authorization: Basic MTYyNTgyOTIxNDUzMTY2Mzg6UGFnc21pbGVfc2tfZDUwMWQ1ZGNkNTI5OGQ5N2MwNmUzYjI4YjA2OWZjZmY3NDU5ZjY2NzNiMjFjMTFlYTY3NDM5MDgzOTZkOTYxNQ==' \
--header 'Content-Type: application/json' \
--data-raw '{
* "app_id": "162************38",
* "out_trade_no": "202201010354006",
* "method": "Wallet",
* "channel": "AlipayHK",
* "order_amount": "300",
* "order_currency": "HKD",
* "subject": "trade pay test",
* "content": "trade pay test conent",
* "notify_url": "http://merchant/callback/success",
"return_url": "https://www.merchant.com",
* "buyer_id": "buyer_0101_0001",
* "timestamp": "2022-01-01 03:54:01",
"user_ip":"127.0.0.1", //Required when channel=WechatPayHK
"device": {
"type": "wap" //wap or web. Required when channel=WechatPayHK
}
}'